import { Model, DataTypes } from 'sequelize'

export default class Post extends Model {
  static init(sequelize) {
    return super.init(
      {
        desc: {
          type: DataTypes.TEXT,
        },
        userId: {
          type: DataTypes.STRING,
        },
      },
      {
        sequelize,
        underscored: true,
        paranoid: true,
      }
    )
  }
}
